Package org.drinkless.tdlib

# Class TdApi.InternalLinkTypeChatFolderInvite

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InternalLinkType
org.drinkless.tdlib.TdApi.InternalLinkTypeChatFolderInvite

Enclosing class:
  `TdApi`

public static class TdApi.InternalLinkTypeChatFolderInvite extends TdApi.InternalLinkType
The link is an invite link to a chat folder. Call checkChatFolderInviteLink with the given invite link to process the link. If the link is valid and the user wants to join the chat folder, then call addChatFolderByInviteLink.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InternalLinkType

  `TdApi.InternalLinkType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `inviteLink`
  Internal representation of the invite link.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InternalLinkTypeChatFolderInvite()`
  The link is an invite link to a chat folder.
  `InternalLinkTypeChatFolderInvite(String inviteLink)`
  The link is an invite link to a chat folder.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### inviteLink

    public String inviteLink
    Internal representation of the invite link.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InternalLinkTypeChatFolderInvite

    public InternalLinkTypeChatFolderInvite()
    The link is an invite link to a chat folder. Call checkChatFolderInviteLink with the given invite link to process the link. If the link is valid and the user wants to join the chat folder, then call addChatFolderByInviteLink.

  - ### InternalLinkTypeChatFolderInvite

    public InternalLinkTypeChatFolderInvite(String inviteLink)
    The link is an invite link to a chat folder. Call checkChatFolderInviteLink with the given invite link to process the link. If the link is valid and the user wants to join the chat folder, then call addChatFolderByInviteLink.
    Parameters:
      `inviteLink` - Internal representation of the invite link.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InternalLinkType`
    Returns:
      this.CONSTRUCTOR